SDL_DirectFB_dyn.h File Reference

Go to the source code of this file.

## Macros

#define | DFB_SYMS

## Functions

int | SDL_DirectFB_LoadLibrary (void)
void | SDL_DirectFB_UnLoadLibrary (void)

## Macro Definition Documentation

#define DFB_SYMS

Value:
DFB_SYM(DFBResult, DirectFBError, (const char *msg, DFBResult result), (msg, result), return) \
DFB_SYM(DFBResult, DirectFBErrorFatal, (const char *msg, DFBResult result), (msg, result), return) \
DFB_SYM(const char *, DirectFBErrorString, (DFBResult result), (result), return) \
DFB_SYM(const char *, DirectFBUsageString, ( void ), (), return) \
DFB_SYM(DFBResult, DirectFBInit, (int *argc, char *(*argv[]) ), (argc, argv), return) \
DFB_SYM(DFBResult, DirectFBSetOption, (const char *name, const char *value), (name, value), return) \
DFB_SYM(DFBResult, DirectFBCreate, (IDirectFB **interface), (interface), return) \
DFB_SYM(const char *, DirectFBCheckVersion, (unsigned int required_major, unsigned int required_minor, unsigned int required_micro), \
(required_major, required_minor, required_micro), return)
result
GLuint64EXT * result
Definition: SDL_opengl_glext.h:9432
name
GLuint const GLchar * name
Definition: SDL_opengl_glext.h:660
value
GLsizei const GLfloat * value
Definition: SDL_opengl_glext.h:698

Definition at line 25 of file SDL_DirectFB_dyn.h.

## Function Documentation

int SDL_DirectFB_LoadLibrary | ( | void |  | ) |

void SDL_DirectFB_UnLoadLibrary | ( | void |  | ) |